Subject: The Name Service Search Option for DHCP to WG last call

From: Ralph Droms <[email-masked]>
Date: Wed, 12 Jan 2000 00:21:30 -0500

Carl Smith has submitted a revised version of "The Name Service Search 
Option for DHCP" (draft-ietf-dhc-nsso-02.txt).  As agreed at the most 
recent DHC WG meeting, this draft is ready for WG last call, prior to 
submission for acceptance as a "Proposed Standard".  If you have any final 
comments about this draft prior to submission, please respond to 
[email-masked] before Wedenesday, 1/19/00.

- Ralph Droms
   DHC WG chair

---

From: Ralph Droms <[email-masked]>
Date: Wed, 19 Jan 2000 11:22:42 -0500

Peter Memishian <[email-masked]> wrote:

  > The draft says:
  >
  >   >   A name service option code of 0 is used to indicate that the client
  >   >   should refer to local configuration information.
  >
  > How is this different from merely omitting the Name Service Search Option
  > from the DHCP OFFERs and ACKs? Surely, if there is no Name Service Search
  > Option, then any client will refer to local configuration information
  > anyway, as it does today.
  >
  > If an option code of 0 has identical effect to having no option at all, I
  > propose that sentence be removed.

but it is different, because you may wish to specify a list of name
services which are visited in order.  for instance, without code 0,
how would the server specify that the client should first try dns,
then local configuration, then nis?

--
meem